Subject: bug#21845: sed docs bug: No documentation of which commands must be terminated by newlines

From: Ori Avtalion <[email-masked]>
Date: Fri, 6 Nov 2015 17:44:04 +0200

This report is based on the docs for 4.2.2

Section 3 says:
> Some commands, due to their syntax, cannot be followed by semicolons
> working as command separators and thus should be terminated with
> newlines or be placed at the end of a script or script-file.

I can find no mention of which commands this applies to.
This limitation should be mentioned next to each such command.

I'm specifically thinking of:
 * 'r filename'
 * 'R filename'
 * 'w filename'
 * 'W file-name'

All of these commands use read_filename() in compile.c, which reads a
filename until the end of the line/file.
If I have missed any commands, these should also be documented.

Related to this, a few other small issues:
* The documentation for 'W' uses 'file-name' instead of 'filename'. It
should be 'filename'.
* The documentation for 'w filename' reference a 'file-name' in their
description. It should be 'filename'.

Thanks for maintaining sed!